none
Error when trying to slipstream package into wim RRS feed

  • Question

  • I've got the newest Windows 10 WIM and am trying to slip stream a package into it. I keep getting an Error 50, To Service this Windows Image requires the latest version of DISM.  DISM version on my server is 6.3.9600.17031 and the one on my Win10 WIM is 10.0.14393.0.  So I've copied the DISM folder and Dism.exe from the mounted WIM back to my server and attempted to run DISM again but from my new DISM folder.  Still getting the error though.  The dism.log file shows:

    2016-12-15 14:08:10, Info                  DISM   PID=6572 TID=12076 DismCore.dll version: 6.3.9600.17031 - CDISMManager::FinalConstruct

    which appears to me that it is still trying to use the older version.  Do I need to register the newer dll before I can continue or is there something else that I'm missing?

    Friday, December 16, 2016 4:49 PM

All replies

  • You need to install the appropriate ADK and then use the tools command prompt that the ADK makes available. You break upgrade when you modify the wim however.

    Many questions such as where do I find logs and what logs are interesting are found in: MDT TechNet Forum - FAQ & Getting Started Guide Please take the time to read it. Also if you don't post logs your problem won't be easily solved.

    Friday, December 16, 2016 7:49 PM
    Moderator
  • Great I'll get the newest version loaded and see what happens. Can you tell me what you mean by "break upgrade"? I was hoping to use DISM to start installing the monthly security updates into my deployment WIM.  Is this not a good idea?
    Monday, December 19, 2016 3:50 PM